oCoreoCore Docs
API Reference

Organization Settings

Get organization settings

Returns the organization settings including audit retention, bulk batch size, passkey requirement, and PostHog configuration.

GET
/org/settings

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/org/settings" \
  -H "Authorization: <token>"

OK

{
  "auditRetentionDays": 0,
  "bulkBatchSize": 0,
  "hasPosthogPersonalKey": true,
  "hasPosthogWebhookKey": true,
  "hasSubscriptionCode": true,
  "posthogApiHost": "string",
  "posthogEnabled": true,
  "posthogUiHost": "string",
  "requirePasskey": true
}

Update organization settings

Updates organization settings such as audit retention days, bulk batch size, and PostHog configuration.

PUT
/org/settings

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Settings update

auditRetentionDaysinteger
bulkBatchSizeinteger
posthogApiHoststring
posthogEnabledboolean

PostHog account-level configuration (org-scoped).

posthogPersonalApiKeystring
posthogUiHoststring
posthogWebhookSecretstring
requirePasskeyboolean
subscriptionCodestring
curl -X PUT "//api.ocore.dev/api/org/settings" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "auditRetentionDays": 0,
    "bulkBatchSize": 0,
    "posthogApiHost": "string",
    "posthogEnabled": true,
    "posthogPersonalApiKey": "string",
    "posthogUiHost": "string",
    "posthogWebhookSecret": "string",
    "requirePasskey": true,
    "subscriptionCode": "string"
  }'

OK

{
  "auditRetentionDays": 0,
  "bulkBatchSize": 0,
  "hasPosthogPersonalKey": true,
  "hasPosthogWebhookKey": true,
  "hasSubscriptionCode": true,
  "posthogApiHost": "string",
  "posthogEnabled": true,
  "posthogUiHost": "string",
  "requirePasskey": true
}

Test PostHog connection

Tests the PostHog API connection using the stored personal API key.

POST
/org/settings/test-posthog

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X POST "//api.ocore.dev/api/org/settings/test-posthog" \
  -H "Authorization: <token>"

OK

{
  "message": "string",
  "projectName": "string",
  "success": true
}

Validate subscription code

Validates the stored Odoo Enterprise subscription code.

POST
/org/settings/validate-subscription

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonOptional

Validation request

odooVersionstring
curl -X POST "//api.ocore.dev/api/org/settings/validate-subscription" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "odooVersion": "string"
  }'

OK

{
  "odooVersion": "string",
  "valid": true
}

Was this page helpful?